Win a copy of Mesos in Action this week in the Cloud/Virtualizaton forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Need help to make struts 2 work with websphere

 
Ramyadurga Raju
Greenhorn
Posts: 2
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I am new to websphere. I have developed my app using Struts 2.1. It is working fine with tomcat 5.5 and tomcat 6. But when tried that with Websphere6.1 am not getting the output other than 403 error. Do I need any configuration setting at websphere console?

Also I am getting "parameterized types are only available if source level is 5.0" error. I am not sure how to set the jre version for websphere. I know that Websphere6.1 comes with jdk1.5. Can anyone help to resolve this issue?

Thanks In Advance!

Ramya
 
Cameron Wallace McKenzie
author and cow tipper
Saloon Keeper
Posts: 4968
1
Hibernate Spring Tomcat Server
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
When you say "WebSphere" do you mean "Rational Application Developer?"

There is a properties tab I think, or maybe preferences, that allows you to set the source code level for either a Java Project or for your workspace. Something like that.

-Cameron McKenzie
 
Ramyadurga Raju
Greenhorn
Posts: 2
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

Thanks for your reply. I am not using RAD only websphere application server. I am using eclipse for my development. We deploy the war in websphere. Our websphere admin could solve the issue in production, but the issue now is with struts 2. In local still I am unable to fix the java incompatibility issue. I am not seeing any errors in server and still the URL I am unable to invoke getting 403 error.

Thanks,
Ramya
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic